XdkWrl: MFInt32 Class Reference

Home | Hierarchy | Members | Alphabetical | Related Pages

# MFInt32 Class Reference
[Field Types]

`#include <mfint32.h>`

Inherits deque.

List of all members.

## Public Member Functions
| MFInt32 ()
template<class T>
| MFInt32 (T first, T last)
## Static Public Member Functions
static const char * | typeName ()
static FieldTypeId | typeId ()
## Friends
std::ostream & | operator<< (std::ostream &s, const MFInt32 &f)

## Detailed Description

A MFInt32 is a container of SFInt32. It is implemented using a STL's deque so you can benefit from its interface. Most common functionnalities you would use are:

       MFInt32 mf;
       mf.push_back(SFInt32(1));  // push_back (1); would fail since
       mf.push_front(SFInt32(2)); // constructor SFInt32(int) is explicit
       mf[0] = 3; // Valid since SFInt32 has operator=(int)

but since it uses STL principles, you have all useful concepts such as iterator, algorithms, etc...

Below is included the documentation for this field type from the ISO standard.

## 5.6 SFInt32 and MFInt32

The SFInt32 field and event specifies one 32-bit integer. The MFInt32 field and event specifies zero or more 32-bit integers. SFInt32 and MFInt32 fields and events are written to the VRML file as an integer in decimal or hexadecimal (beginning with '0x') format. For example:

        fooInt32 [ 17, -0xE20, -518820 ]

is an MFInt32 field containing three values.

The initial value of an SFInt32 eventOut is 0. The initial value of an MFInt32 eventOut is [ ].

## Constructor & Destructor Documentation

MFInt32 | ( |  | ) | `[inline]`

MFInt32 | ( | T | first,
|  | T | last |
| ) |  |  | `[inline]`

## Member Function Documentation

const char * typeName | ( |  | ) | `[inline, static]`

FieldTypeId typeId | ( |  | ) | `[inline, static]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | s,
|  | const MFInt32 & | f |
| ) |  |  | `[friend]`

Generated on 5 Jan 2007 with version 1.5.1. |